> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate OTP

> This endpoint is used to initiate the registration process for a mobile number.



## OpenAPI

````yaml post /abdm/na/v1/registration/mobile/init
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/na/v1/registration/mobile/init:
    post:
      summary: Generate OTP
      description: >-
        This endpoint is used to initiate the registration process for a mobile
        number.
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InitRequestType2'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InitResponseType2'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    InitRequestType2:
      properties:
        mobile_number:
          description: mobile number for the abha registration
          type: string
      required:
        - mobile_number
      type: object
    InitResponseType2:
      properties:
        hint:
          description: Hint message for the mobile number
          examples:
            - OTP sent successfully to your mobile number ******90973
          type:
            - 'null'
            - string
        txn_id:
          description: Transaction ID required for the next API call.
          examples:
            - 5d060cad-a93b-4edf-p3ef-bd412f69s400
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````